ELVIS(1)

NAME
celvis, cex, cvi, cview, cinput - The Chinese editor

SYNOPSIS
celvis [flags] [+cmd] [files...]

DESCRIPTION
Elvis is a text editor which emulates vi/ex. Celvis is a Chinese version of elvis. It should run on top of some Chinese terminal or Chinese system, such as cxterm in X11 window system. This version supports both GB encoding and Big5 encoding Chinese text.

On systems which pass the program name as an argument, such as Unix and Minix, you may also install celvis under the names "cex", "cvi", "cview", and "cinput". These extra names would normally be links to celvis; see the "ln" shell command.

When celvis is invoked as "cvi", it behaves exactly as though it was invoked as "celvis". However, if you invoke celvis as "cview", then the readonly option is set as though you had given it the "-R" flag. If you invoke celvis as "cex", then celvis will start up in the colon command mode instead of the visual command mode, as though you had given it the "-e" flag. If you invoke celvis as "cinput" or "cedit", then celvis will start up in input mode, as though the "-i" flag was given.

OPTIONS

-r  To the real vi, this flag means that a previous edit should be recovered. Celvis, though, has a separate program, called virec(1), for recovering files. When you invoke celvis with -r, celvis will tell you to run virec.

-R  This sets the "readonly" option, so you won't accidentally overwrite a file.

-t tag
    This causes celvis to start editing at the given tag.

-e  Celvis will start up in colon command mode.

-v  Celvis will start up in visual command mode.

-i  Celvis will start up in input mode.

+command
    If you use the +command parameter, then after the first file is loaded command is executed as an EX command. A typical example would be "celvis +237 foo", which would cause celvis to start editing foo and then move directly to line 237.

FILES

/tmp/elv*
    During editing, celvis stores text in a temporary file. For UNIX, this file will usually be stored in the /tmp directory, and the first three characters will be "elv". For other systems, the temporary files may be stored someplace else; see the version-specific section of the documentation.

tags
    This is the database used by the :tags command and the -t option. It is usually created by the ctags(1) program.

.exrc or elvis.rc
    On UNIX-like systems, a file called ".exrc" in your home directory is executed as a series of ex commands. A file by the same name may be executed in the current directory, too. On non-UNIX systems, ".exrc" is usually an invalid file name; there, the initialization file is called "elvis.rc" instead.

SEE ALSO
ctags(1), ref(1), virec(1), cxterm(1)

Elvis - A Clone of Vi/Ex, the complete elvis documentation.

BUGS
There is no LISP support. Certain other features are missing, too.

Auto-indent mode is not quite compatible with the real vi. Among other things, 0^D and ^^D don't do what you might expect.

Long lines are displayed differently. The real vi wraps long lines onto multiple rows of the screen, but celvis scrolls sideways.

AUTHOR
Steve Kirkendall
kirkenda@cs.pdx.edu
...uunet!tektronix!psueea!eecs!kirkenda

Many other people have worked to port elvis to various operating systems. To see who deserves credit, run the :version command from within celvis, or look in the system-specific section of the complete documentation.

The Chinese version, celvis, is developed by Man-Chi Pong (now with the Hong Kong University of Science and Technology, HK. E-mail: mcpong@uxmail.usthk.hk) and Yongguang Zhang (Purdue University, e-mail: ygz@cs.purdue.edu).